org.apache.drill.jdbc

## Class ITTestShadedJar

- java.lang.Object
- - org.apache.drill.test.BaseTest
  - - org.apache.drill.jdbc.ITTestShadedJar

    public class ITTestShadedJar
    extends BaseTest

### Nested Class Summary

Nested Classes
`static class` `ITTestShadedJar.AbstractLoaderThread`
`static class` `ITTestShadedJar.DrillbitStartThread`
`static class` `ITTestShadedJar.DrillbitStopThread`

### Field Summary

Fields
`static TestWatcher` `testWatcher`

### Constructor Summary

Constructors
Constructor and Description
`ITTestShadedJar()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `executeJdbcAllQuery()`
`void` `serviceFileContainsCorrectDriver()`
`void` `testDatabaseVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### testWatcher

    public static final TestWatcher testWatcher

### Constructor Detail

#### ITTestShadedJar

    public ITTestShadedJar()

### Method Detail

#### testDatabaseVersion

    public void testDatabaseVersion()
                             throws Exception

Throws:
  `Exception`

#### executeJdbcAllQuery

    public void executeJdbcAllQuery()
                             throws Exception

Throws:
  `Exception`

#### serviceFileContainsCorrectDriver

    public void serviceFileContainsCorrectDriver()
                                          throws IOException

Throws:
  `IOException`